%define upstream_name    XML-Compile
%define upstream_version 1.64

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Handling of built-in facet checks
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5) >= 2.360.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO) >= 1.220.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Log::Report) >= 1.200.0
BuildRequires: perl(MIME::Base64) >= 3.100.0
BuildRequires: perl(Math::BigInt) >= 1.770.0
BuildRequires: perl(Math::BigRat) >= 0.100.0
BuildRequires: perl(Test::Deep) >= 0.95.0
BuildRequires: perl(Test::More) >= 0.540.0
BuildRequires: perl(Types::Serialiser)
BuildRequires: perl(XML::Compile::Tester) >= 0.900.0
BuildRequires: perl(XML::LibXML) >= 2.10.700
BuildRequires: perl(bignum) >= 0.100.0
BuildArch:  noarch

%description
Many (professional) applications process XML messages based on a formal
specification, expressed in XML Schemas. XML::Compile translates between
XML and Perl with the help of such schemas. Your Perl program only handles
a tree of nested HASHes and ARRAYs, and does not need to understand
namespaces and other general XML and schema nastiness.

Three serious WARNINGS:

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/*

%changelog
* Fri Jan 24 2025 tv <tv> 1.640.0-1.mga10
+ Revision: 2141761
- update to 1.64

* Mon Mar 21 2022 umeabot <umeabot> 1.630.0-3.mga9
+ Revision: 1811733
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.630.0-2.mga8
+ Revision: 1526838
- Mageia 8 Mass Rebuild

* Wed Jul 03 2019 tv <tv> 1.630.0-1.mga8
+ Revision: 1417877
- update to 1.63

* Sat Jun 29 2019 tv <tv> 1.620.0-1.mga8
+ Revision: 1415969
- update to 1.62

* Sat Nov 10 2018 tv <tv> 1.610.0-1.mga7
+ Revision: 1329395
- update to 1.61

* Sat Oct 20 2018 tv <tv> 1.600.0-1.mga7
+ Revision: 1322742
- update to 1.60

* Thu Sep 20 2018 umeabot <umeabot> 1.580.0-3.mga7
+ Revision: 1287297
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.580.0-2.mga7
+ Revision: 1167428
- rebuild with fixed rpm for missing autodeps

* Thu Sep 21 2017 guillomovitch <guillomovitch> 1.580.0-1.mga7
+ Revision: 1156715
- new version 1.58

* Sun Jun 19 2016 pterjan <pterjan> 1.520.0-2.mga6
+ Revision: 1035894
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 buchan <buchan> 1.520.0-1.mga6
+ Revision: 924669
- New upstream version 1.52

* Sun Jan 10 2016 buchan <buchan> 1.510.0-1.mga6
+ Revision: 920989
- New version 1.51

* Thu Jul 23 2015 sander85 <sander85> 1.500.0-1.mga6
+ Revision: 856480
- update to 1.50

* Mon Jun 22 2015 sander85 <sander85> 1.490.0-1.mga6
+ Revision: 839022
- update to 1.49

* Mon Dec 22 2014 buchan <buchan> 1.470.0-1.mga5
+ Revision: 804779
- imported package perl-XML-Compile

